<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/private/getVisitor.inc.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
require_once(dirname(__FILE__).'/../common/nqlOperation.class.php');
require_once(dirname(__FILE__).'/../common/nectil_user.class.php');
require_once(dirname(__FILE__).'/../private/search.inc.php');

class getVisitor extends RetrieveOperation{
	
	function parse(){
		
		return true;
	}
	
	function operate(){
		$xml = '';
		$user = new NectilUser();
		
		// copying the return profile from the original request 
		$return = '';
		$returnNode = $this->operationNode->getElement('RETURN');
		if($returnNode){
			$return = $returnNode->toString();
		}
		// composing a new request to take the contact with the visitor ID
		$getContact = new XML(
			'<GET>
				<CONTACT ID="'.$user->getID().'"></CONTACT>
				'.$return.'
			</GET>');
		$search = new SearchElement($this->getName(),$getContact->getElement('/*[1]'));
		$this->xml = $search->execute();
		return true;
	}
}


?>